Debian Bug report logs - #616106
Enable build-time tests

version graph

Package: mutagen; Maintainer for mutagen is Tristan Seligmann <mithrandi@debian.org>;

Reported by: Andrey Rahmatullin <wrar@wrar.name>

Date: Wed, 2 Mar 2011 14:57:02 UTC

Severity: wishlist

Tags: patch

Fixed in version mutagen/1.20-1

Done: Tristan Seligmann <mithrandi@mithrandi.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tristan Seligmann <mithrandi@mithrandi.net>:
Bug#616106; Package mutagen. (Wed, 02 Mar 2011 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
New Bug report received and forwarded. Copy sent to Tristan Seligmann <mithrandi@mithrandi.net>. (Wed, 02 Mar 2011 14:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Enable build-time tests
Date: Wed, 02 Mar 2011 19:55:28 +0500
[Message part 1 (text/plain, inline)]
Package: mutagen
Severity: wishlist
Tags: patch

I've added python setup.py test calls to debian/rules. DPMT isn't mentioned in
Maintainer/Uploaders so I didn't commit that to the SVN repo. The patch is
attached.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37.1-wrar+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[mutagen-enable-tests.patch (text/x-diff, attachment)]

Reply sent to Tristan Seligmann <mithrandi@mithrandi.net>:
You have taken responsibility. (Mon, 12 Sep 2011 20:51:08 GMT) Full text and rfc822 format available.

Notification sent to Andrey Rahmatullin <wrar@wrar.name>:
Bug acknowledged by developer. (Mon, 12 Sep 2011 20:51:09 GMT) Full text and rfc822 format available.

Message #10 received at 616106-close@bugs.debian.org (full text, mbox):

From: Tristan Seligmann <mithrandi@mithrandi.net>
To: 616106-close@bugs.debian.org
Subject: Bug#616106: fixed in mutagen 1.20-1
Date: Mon, 12 Sep 2011 20:50:12 +0000
Source: mutagen
Source-Version: 1.20-1

We believe that the bug you reported is fixed in the latest version of
mutagen, which is due to be installed in the Debian FTP archive:

mutagen_1.20-1.debian.tar.gz
  to main/m/mutagen/mutagen_1.20-1.debian.tar.gz
mutagen_1.20-1.dsc
  to main/m/mutagen/mutagen_1.20-1.dsc
mutagen_1.20.orig.tar.gz
  to main/m/mutagen/mutagen_1.20.orig.tar.gz
python-mutagen_1.20-1_all.deb
  to main/m/mutagen/python-mutagen_1.20-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616106@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tristan Seligmann <mithrandi@mithrandi.net> (supplier of updated mutagen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 11 Sep 2011 20:04:44 +0200
Source: mutagen
Binary: python-mutagen
Architecture: source all
Version: 1.20-1
Distribution: unstable
Urgency: low
Maintainer: Tristan Seligmann <mithrandi@mithrandi.net>
Changed-By: Tristan Seligmann <mithrandi@mithrandi.net>
Description: 
 python-mutagen - audio metadata editing library
Closes: 616106 636710
Changes: 
 mutagen (1.20-1) unstable; urgency=low
 .
   * New upstream release (closes: #636710).
   * Acknowledge NMUs (thanks to Jakub Wilk and Alessio Treglia).
   * Bump Standards-Version (no changes needed).
   * Run the test suite during build; thanks to Andrey Rahmatullin for the
     patch. (closes: #616106)
   * Add DPMT to Uploaders.
   * Remove preinst script, since we no longer need to support upgrades from
     lenny.
Checksums-Sha1: 
 dfa881f20d62ef371bcab62a37b332286fe9b4c2 1991 mutagen_1.20-1.dsc
 7a8c1918160e6b5d24acd146f57c08ed942a2fa8 651649 mutagen_1.20.orig.tar.gz
 11465097370c75a5f03ae60baff996b9301a4d82 5548 mutagen_1.20-1.debian.tar.gz
 ff9af767da74e15a10c6fbf1d64cb4bc03714437 94544 python-mutagen_1.20-1_all.deb
Checksums-Sha256: 
 9d0f13028ec9a9d4783768d74b8fd6c833989687c1070e87258f7693c7af7d81 1991 mutagen_1.20-1.dsc
 7e56c478de154fdcd00d257ebc77be8718188f1a0db916f51f129b7ca01de6e7 651649 mutagen_1.20.orig.tar.gz
 a1e1d72ef941ab22e4f7a35ffecf229653cea480a296398aef0a59e7ad10a4dc 5548 mutagen_1.20-1.debian.tar.gz
 0efa9020ab04e7160989a1110ede25567d50e3900454edd0db87acbd10f1fc55 94544 python-mutagen_1.20-1_all.deb
Files: 
 a685032fe4348c81841ea162b11416ea 1991 python optional mutagen_1.20-1.dsc
 adb16d9f6056bc864a5c86c6f885af79 651649 python optional mutagen_1.20.orig.tar.gz
 acd0c0001d638b1694b5382fdb98d62a 5548 python optional mutagen_1.20-1.debian.tar.gz
 5d0d0a73fd16a95dd81db59787f113d8 94544 python optional python-mutagen_1.20-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJObmtBAAoJEK728aKnRXZFPaQQAKy3og28eXCz01VjnST2vzH9
XEWPZEHOtCJ3zbMhktxIgzYZ6jdFKo4xnCFXmquNg7ye8FNM3gRU3fntM1olO82C
Ee5lZAjQnKBx3iAQBRZXu8gamx1B2r+1A7eI/HYtNxR70zXURnZmLJA8n17XW7sN
5Ni4MBfgkr+W/LubX5U0cjNwWKTX5aW9+tZXKLlj8OQPiExLnC36tUHW2JJ+l99h
+JXupF2f1YfwD6HSSDaONOor+qmEGCCz3rlxkQvoVEOD/VNbFs5fz+jzjm5BsJnP
XZuThz/h0wHC494mdKoB0sCad3qZDucnvmnZ+BZlov8ARzflcJcFYXmFC+dMm5KN
7adYrmyPWuvCD9iGpjqkHOvaySxZwhkLGe6YiUWLG2DonRoxzq8Ze/66zJSugTC4
buo7Jchn4OR6EAlrIqxw4xzQYE2vS7ag/HzFiWGQdRGfy9iNFnw0JwCusW/f/zn5
ok9bqw7WVaKd7fUHtVWaGKw0a0SsdeIFNZJrvHwY6PA7XCGoCtqfXRTq7xFdNPkb
dvSnXPGu2azZjmbvrh0VnsWEvGxuncoFt1sSMBgECVxQsLgL3oYaOZyr2fYkeaqb
T+PcSXQLmksWMcrTIHJ2Z0FNMbecgttuwt3yO2aAgyNyYz6NqA5C7DddJKiTyIC7
GtB404Uj8d332/zLqiMs
=Mo4T
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Oct 2011 07:31:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:53:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.